Subject: Re: Cygwin1.dll problem with Hyperthreaded machines.
From: David Chatterton <[email-masked]>
To: Chuck McDevitt <[email-masked]>
Cc: [email-masked]
Date: Tue, 31 Aug 2004 07:10:19 +1000

Chuck,

We have a build environment for a reasonably large piece of code
that several people could be building at the same time. On a dual
800MHz P3 and even a quad 550MHz box we had no problems, but upgrading
to a dual 1.8GHz AMD box improved build times dramatically but
the vast majority of builds fail with:

- Microsoft's compiler reporting missing source file. I suspect
   the environment and/or current working directory is not
   setup correctly everytime a prcess is created. Rerun make and
   it works. Very strange.

- Thread activation errors which kill the build and the running
   shell.

rsync is also unreliable as it regularly hangs, but its unclear if
that is related.

I will also investigate providing a box, but that might be the
easy part. Providing a test case that does not rely on our code
base might be more of a challenge.

David

Chuck McDevitt wrote:

> Here at the company I work for, we have one of our developers spending 
> half his time trying to track down this problem, but so far with no luck.
> He did find that forcing processor affinity helps avoid the problem, but 
> that's not much of a solution.
> 
> I keep trying to convince management to send a hyperthreaded machine that 
> shows the problem to Christopher or Corinna, but they keep nixing the idea 
> (I don't understand why).

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/